/*************************************************
Copyright (C), 2000-2010, Sumavision Tech. Co., Ltd.
File name: 		card_common.js  
Author:			xiayuxiao
Version:		v1.0
Date: 			2013/12/15
Description:  	C508卡页面公用js代码模块
*************************************************/
//type
var CARD_MONITOR = 1;
var CARD_CONFIG = 2;
var PORT_MONITOR = 3;
var PORT_CONFIG = 4;

var errorEn = ["",
			   "The parameter value is illegal!",
			   "The 6-Channel QAM Card information is error!",
			   "The range of Symbol Rate is 5000 to 5250(bps) when the Channel BW is 6MHz!"];

var errorCn = ["",
			   "非法参数值！",
			   "获取卡信息错误！",
			   "带宽6M时，符号率范围应为5000~5250(Kbps)!"];
			   
var returnError = [errorEn, errorCn];

function pageJump(index)
{
	if(index == CARD_MONITOR)
	{
		self.location.replace("card" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
 	}
 	else if(index == CARD_CONFIG)
 	{
		self.location.replace("card_config" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
	else if(index == PORT_MONITOR)
 	{
		self.location.replace("port" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
	else if(index == PORT_CONFIG)
	{
		self.location.replace("port_config" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
 	} 	
}

